import * as dotenv from "dotenv";
dotenv.config({path: '../../.env'})
const port = parseInt(process.env.BAR_PORT || '3000')


const options = {
	definition: {
		openapi: "3.1.0",
		info: {
		title: "LogRocket Express API with Swagger",
		version: "0.1.0",
		description:
			"This is a simple CRUD API application made with Express and documented with Swagger",
		},
		servers: [
			{
				url: "http://localhost:"+port.toString(),
			},
			{
				url: "https://drink-tweb.cb85.fr"
			}
		],
	},
	apis: ['./src/*.ts'],
	explorer: true
}


export default options